iMac EFI Firmware Update
iMac EFI Firmware Update
2.1

1.0

iMac EFI Firmware Update free download for Mac

iMac EFI Firmware Update

2.1
26 September 2013

For late 2013 iMacs.

Overview

iMac (late 2013) EFI Update is recommended for iMac (late 2013) models. This update addresses an issue which may cause a black screen to appear when installing Windows 7 or Windows 8 using Boot Camp Assistant if both an external optical drive and USB thumb drive are connected to the system. This update also ensures that the system will boot by default into OS X after installation of Windows 8.

10 iMac EFI Firmware Update Reviews

Rate this app:

Leppe
03 May 2009

Most helpful

This update is not only for iMacs with the Radeon card. It also shows up in the Software Update Panel from iMacs with NVIDIA cards. That's for the freezing issue in Boot Camp. So the requirements are a bit misleading... If you read the requirements on Apples website they say 10.5.6 or later. Not 10.5.6 or later with the Radeon card. Greetz.
Like (2)
Version 1.4
Maylbu
25 September 2013
From Appleinsider. Apple's just-released iMacs receive day-one update Tuesday, September 24, 2013, 12:59 pm PT (03:59 pm ET) By Kevin Bostic Apple has released an Extensible Firmware Interface update for the late 2013 models of iMac that it just announced on Tuesday. The update brings the EFI for the late 2013 iMacs to version 2.1. It is aimed at addressing an issue sometimes occurring when installing Windows 7 or Windows 8 using Boot Camp Assistant. If both an external optical drive and USB thumb drive are connected to the system, the installation process could cause a black screen to appear. Additionally, the update makes sure that a system will boot by default into OS X after installing Windows 8. iMac (late 2013) EFI Update 2.1 is available as a free download from Apple's support pages. It requires a Mac running OS X Mountain Lion v10.8.4 (12E4022) or later. It is an 8.7MB download.
Like
Version 2.1
xgman
18 December 2012
Huh, I have a 27" 2012 imac and it says this update is not for my machine and it isn't on software update either. What exactly is this for then?
Like
Version 2.0
1 answer(s)
MacUpdate-Ryan
MacUpdate-Ryan
18 December 2012
This is only for the "late 2012 models" that were just released.
Like (2)
Low-Flyer
25 February 2012
The Apple Support document about 'iMac EFI Firmware Update 1.9' (https://support.apple.com/kb/DL1498) addresses iMac (Mid 2011) computers; there is no mention in that document of iMac (Early 1011) computers. Why this confusion in this MacUpdate Download page?
Like
Version 1.9
1 answer(s)
Low-Flyer
Low-Flyer
25 February 2012
Should read 'iMac (Early 2011) computers' instead of 'iMac (Early 1011) computers'. Sorry for adding to the confusion.
Like
Acuraice
24 February 2012
ALSO found in my software update for MID-2011 imac models(i have the 27 inch 3.4 ghz quad core i7,lion 10.7.3 installed 1 gigs ram and radeon 6970M 2 gig) Why can't apple ever get this right??????
Like
Version 1.9
Ikir
24 February 2012
No problems here
Like
Version 1.9
info-803
03 May 2009
Well, it did show up in Software-Update on my 24" iMac from March 2009. I did the EFI-firmware-upgrade and everything is working fine!
Like
Version 1.4
1 answer(s)
info-803
info-803
03 May 2009
By the way, I do not have an iMac with a Radeon videocard. I have got the 24" iMac with the NVIDIA GeForce 9400M videocard.
Like
Version 1.4
Leppe
03 May 2009
This update is not only for iMacs with the Radeon card. It also shows up in the Software Update Panel from iMacs with NVIDIA cards. That's for the freezing issue in Boot Camp. So the requirements are a bit misleading... If you read the requirements on Apples website they say 10.5.6 or later. Not 10.5.6 or later with the Radeon card. Greetz.
Like (2)
Version 1.4
3 answer(s)
Crwright
Crwright
03 May 2009
It may be more complicated than that, as it does NOT show up in SW Update on my older 24" iMac with nVidia card... My current boot ROM version is IM61.0093.B07, for what it's worth. ...so as usual - YMMV. -c
Like
Version 1.4
Leppe
Leppe
03 May 2009
When it does not show up in the Software Update Panel your iMac should not need it. But if you want to be sure you can download the firmware manual. The EFI Firmware updates are 'smart' and will not run if not needed on your hardware! So there is nothing to be afraid of. The update will only run on those iMacs that realy need the update! It's even possible that some NVIDIA iMacs see the update in their Software Update Panel and others not, based on the serialnumber of the hardware and when they are exactly build (lotnumbers). Greetz.
Like
Version 1.4
Crwright
Crwright
03 May 2009
Sorry - yes - should have been more explicit. What I was trying to imply is that not all machines with nVidia cards will see the update because it likely doesn't apply to all of them (like mine). I'm sure it checks machine ID and possibly hardware configuration (but more likely just the model) when it determines what to show you in SW Update. I was really intending to tell people not to worry if they don't see it - they probably don't need it. But as you say, trying to install it should cause no harm on a machine that won't take it - it just won't install. c
Like (1)
Version 1.4
Mac-Cognoscenti
09 April 2008
This only applies to the 20 and 24 inch mid-2007 iMacs as per Apple's knowledgebase article here: http://support.apple.com/kb/HT1237
Like
Version 1.3
Orion-Mk-V
28 September 2007
1.2 updater went fine. I'm now at IM61.0093.B07.
Like
Version 1.2
Steelcut
14 November 2006
Hm, everything works perfekt after the update. My Boot ROM Version now says: IM51.0090.B03 Which would be right if i had a 20-inch late 2006. But i have a 17-inch late 2006 CD. So what now?
Like
Version 1.1
3 answer(s)
spacestation
spacestation
12 September 2007
uh, i have the same problem. my rom says IM51.0090.B03 but, i have a 17inch. it is supposed to be IM52.... my imac keeps crashing.
Like
Version 1.1
John-Sawyer-CJS
John-Sawyer-CJS
09 April 2008
Apple is sometimes lazy about properly identifying which updates apply to which Mac models. Your Macs are "Late 2006" models, and even though the display size is different, the logic board, etc. are similar enough so that this firmware update applies to both. If the firmware update wasn't appropriate for your Mac model, its installer wouldn't have installed it. Any problems that occur after any firmware update aren't due to a mismatch between the firmware update and a given Mac model, but due to bugs in either the firmware update itself (which means both some 17" and 20" models may experience similar problems), or your System software, leftover cache files (clear them out using something like Leopard Cache Cleaner), etc.
Like
Version 1.3
John-Sawyer-CJS
John-Sawyer-CJS
09 April 2008
steelcut and ambient: I just doublechecked your Mac's firmware numbers, and you're right, the model ID shown in the firmware version that the updater has installed on your Macs, doesn't match your Mac's official model name (17 Inch Late 2006 CD)--IM51 is the model ID for the 17" and 20" with a Superdrive, and IM52 is what you'd normally expect with a 17" CD model. Also, IM51.0090.B03 isn't one of the numbers Apple shows at http://support.apple.com/kb/HT1237, even for non-CD models--it shows IM51.0090.B09 as being what firmware update 1.2 installs for both the 17" and 20" Late 2006 models (which is a further oddity--if you installed firmware update 1.3 and got firmware IM51.0090.B03, it seems that the 1.3 update might install a variation of the 1.2 update on models that don't support the 1.3 update). But since the 17" Late 2006 CD model is just a 17" Late 2006 model with a Combo drive instead of a Superdrive, their logic boards are probably identical, or close enough (maybe the only difference was the model ID originally in their firmware), or some production runs may have used these two logic boards interchangeably. So, it's likely that these inconsistencies aren't anything to worry about. Still, it's debatable whether it was a good idea or a bad one, for the updater to change your Mac's model ID to a technically different model's. It's even possible that your 17" CD model's firmware originally showed IM51 as its model ID, if it contained a non-CD model logic board all along.
Like
Version 1.3
Free

1.0

App requirements: 
  • Intel 64
  • Intel 32
  • OS X 10.8.4 or later
Category: 
Developer Website: 
Download(8.7 MB)MacUpdateInstall with MacUpdate

Downloaded & Installed 9,574 times